% H2 plot.
datain = importdata('finalresult.dat');
usermode = 'YZ';
winsize=1.6;


plotFieldAlongZ(datain,usermode,winsize);

function plotFieldAlongZ(data,usermode,winsize)
    if strcmp(usermode,'XZ')
       xzrows=find(data(:,1)==0); %X=0
    else
       xzrows=find(data(:,2)==0); %X=0
    end


    zDataXZ=data([xzrows(1):xzrows(end)],[3 5]);
    % interpolate the date to make it smoother
    X=zDataXZ(:,1);
    V=zDataXZ(:,2); %normalize to [0,1]
    Xq = -winsize:1e-2:winsize;
    Vq = interp1(X,V,Xq,'pchip');
    
    % Plot
    figure
    %plot(zDataXZ(:,1),zDataXZ(:,2))
    plot(Xq,Vq)
    xlabel('z')
end