
% plot 2D field distribution in XZ or YZ plane
% usermode: 'XZ' or 'YZ'
datain = importdata('finalresult.dat');
usermode = 'YZ';


if strcmp(usermode,'XZ')
   xdata = datain(:,1); 
else
   xdata = datain(:,2); 
end


ydata = datain(:,3);
zdata = datain(:,5);

h=plot2Dfield2(usermode,xdata,ydata,zdata)


function h = plot2Dfield2(usermode,xdata,ydata,zdata)
%% section 1: 
      %Find out data dimensions
        pdimension=sqrt(size(xdata));
        ps=pdimension(1,1);
 
% Below reshape data and plot in matlab
    % MESHGRID: Using reshape to retreive the mesh dimension from DSIMie results
     x11=reshape(xdata,ps,ps);
     x11=x11(1,:); % In single row, multiple column format

    z11=reshape(ydata,ps,ps); %z for y axis acutally
    z11=z11'; 
    z11=z11(1,:);
    %Ready for mesh grid
    [x,y]=meshgrid(x11,z11);

    % DATA reshaping
    u=reshape(zdata',ps,ps); 

    % plots
    set(0,'defaultTextFontName','Courier')
    %fig1=figure;

    hold on
    % draw contour without lines
    [C,h] = contourf(x,y,u,300);
    set(h,'LineColor','none');
    set(gca,'YDir','reverse');
    axis image;
    colorbar;
    if strcmp(usermode,'XZ')
        xlabel('x');
    else
        xlabel('y')
    end
    ylabel('z');
    %title(strcat('wave=',num2str(wave_start),'-',num2str(wave_end),'nm',' d=',num2str(diameter),'nm'),'fontsize',25);
%     set(gca,'FontSize',15);
%     set(get(gca,'YLabel'),'Fontsize',14);
%     set(get(gca,'XLabel'),'Fontsize',14);
    set(gca,'linewidth',2);
    
    circle=rsmak('circle',1)
    fnplt(circle,'w',1);
    
    %imgfile = strcat('RST\',usermode,'w',num2str(wave_start),'-',num2str(wave_end),'_d',num2str(diameter),fileID,'.jpg');
    
    %saveas(fig1,imgfile);
end

   
 

  
 
 
 
